function plotCircleOnImage(radius, values, boundMin, boundMax, maxOffset, i, j, ...
    numTiles, imgSize, color)

sizeVec = size(values);
if(length(sizeVec) ~= 2 || ...
    max(sizeVec) ~= 4 || min(sizeVec) ~= 1)
    error('wrong number of values');
end

if(sizeVec(1) > sizeVec(2))
    values = values';
end

values = circshift(values, [2 2]);

angles = [0:3] * pi / 4;
offsets = (values  - boundMin)/ (boundMax - boundMin) * maxOffset;

angles = [angles (angles + pi)];
angles = [angles angle(1) + 2 * pi];
offsets = [offsets offsets];
offsets = [offsets offsets(1)];

angles = subdivide(angles, 4);
offsets = subdivide(offsets, 4);

j = numTiles - j - 1;

tileSize = imgSize / numTiles;

func = (radius + offsets) * imgSize / 1024;

%display(strcat(['Max: ' int2str(max(func))]));
%display(strcat(['Min: ' int2str(min(func))]));

plot(func .* cos(angles) + tileSize * (i + .5), ...
    -func .* sin(angles) + tileSize + tileSize * (j - .5), color);


function out = subdivide(in, iter)
if(iter == 0)
    out = in;
    return;
end
out(1:2:length(in) * 2 - 1) = in;
out(2 : 2 : length(out) - 1) = ...
    (in(1 : length(in) - 1) + in(2 : length(in))) / 2;
out = subdivide(out, iter - 1);