function visualizeShortStats(backImgFile, faces)

numTiles = 16;


%initImgFile = faces{1}
startImage = reshapeImage(loadImage(backImgFile));

for k = 1:length(faces)
    values(k, :, :, :, :) = loadShortStat(strcat('..\ShortStats\', faces{k}, '.ss'));
end

numScales = size(values, 2)

imageSizes = [numScales: -1 :  1];
imageSizes = 64 * 2.^imageSizes;

       
for i = 1:numScales
    circleBoundMin = getValuesMin(values(:, i, :, :, :));
    circleBoundMax = getValuesMax(values(:, i, :, :, :));

    for k = 1:length(faces)
        hold off;
        imShow(startImage);
        hold on;

%for drawing on a log scale:
%
%        plotCircles(log(squeeze(values(k, i, :, :, :)) / circleBoundMin), numTiles, colors{k}, ...
%            length(startImage), log(circleBoundMin / circleBoundMin), log(circleBoundMax / circleBoundMin), 50);

%for drawing on a linear scale:
%
        plotCircles(squeeze(values(k, i, :, :, :)), numTiles, 'b', ...
        length(startImage), circleBoundMin, circleBoundMax, 70);
        if(numScales > 1)
            title(int2str(imageSizes(i)));
        end

        I = getframe;
        imwrite(I.cdata, strcat('..\ShortStatPictures\', faces{k}, '_scale', num2str(i), '.bmp'));
        imwrite(imresize(I.cdata, [200 200], 'bicubic'), strcat('..\ShortStatPictures\thumb_', faces{k}, '_scale', num2str(i), '.bmp'));
    end
end

function valuesMin = getValuesMin(values)    
valuesMin = min(min(min(min(min(min(values))))));

function valuesMax = getValuesMax(values)    
valuesMax = max(max(max(max(max(max(values))))));


% todo: think of better name for this function
%
% function values = getSTDs(imageFile, imageIndices, numTiles)
%        filterDir = strcat('..\DisplacementImages\FilterResponses\', ...
%             imageFile, '\');
%        files = dir(strcat(filterDir, '*.img'));
%        for j = 1:length(imageIndices)       
%            file = imageIndices(j);
%            images(j, :) = loadImage(strcat(filterDir, files(file).name));
%        end
%        values = getSimpleStats(reshapeImage(images), numTiles);


